文本转语音
将文本转换为音频
POST
/v1/audio/speech文本转语音
将文本转换为音频
鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`
请求体
必填
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 示例: "tts-1" |
input | string | 是 | 要转换的文本 |
voice | string | 是 | 可选值: alloy, echo, fable, onyx, nova, shimmer |
response_format | string | 可选值: mp3, opus, aac, flac, wav, pcm;默认: "mp3" | |
speed | number | 默认: 1 |
示例代码
curl -X POST "https://api.nodeprice.com/v1/audio/speech" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"model": "string",
"input": "string",
"voice": "alloy",
"response_format": "mp3",
"speed": 1
}'const url = "https://api.nodeprice.com/v1/audio/speech";
const body = {
"model": "string",
"input": "string",
"voice": "alloy",
"response_format": "mp3",
"speed": 1
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/v1/audio/speech"
body := strings.NewReader(`{
"model": "string",
"input": "string",
"voice": "alloy",
"response_format": "mp3",
"speed": 1
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/v1/audio/speech"
body = """{
"model": "string",
"input": "string",
"voice": "alloy",
"response_format": "mp3",
"speed": 1
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"model\": \"string\",\n"
+ " \"input\": \"string\",\n"
+ " \"voice\": \"alloy\",\n"
+ " \"response_format\": \"mp3\",\n"
+ " \"speed\": 1\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/v1/audio/speech")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1/audio/speech");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"model\": \"string\",\n"
+ " \"input\": \"string\",\n"
+ " \"voice\": \"alloy\",\n"
+ " \"response_format\": \"mp3\",\n"
+ " \"speed\": 1\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/v1/audio/speech");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"model\": \"string\",\n"
+ " \"input\": \"string\",\n"
+ " \"voice\": \"alloy\",\n"
+ " \"response_format\": \"mp3\",\n"
+ " \"speed\": 1\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}响应
200 成功生成音频
Content-Type: audio/mpeg
无字段定义。